import { professionalquery, res } from "./base";

interface daLeiList {
    major_id: string,
    major_name: string,
    major_level: number,
    major_parent: string,
    major_type: number,
    major_message: string,
    is_deleted: number,
    create_time: string,
    update_time: string
}

export async function getZhuanYeDaLei({ major_type }: { major_type: number }) {
    const res = await professionalquery.post<res<daLeiList[]>>("getZhuanyemenleiByMajor_type", { major_type: major_type })
    return res.data
}


export async function getZhuanYeLei({ major_parent }: { major_parent: string }) {
    const res = await professionalquery.post<res<daLeiList[]>>("getZhuanyelaiByZhuanyedalei", { major_parent: major_parent })
    return res.data
}

export async function getZhuanYeJieShao({ major_parent }: { major_parent: string }) {
    const res = await professionalquery.post<res<daLeiList[]>>("getZhuanyeByZhuanyelei", { major_parent: major_parent })
    return res.data
}